/*
 *  Author:  Seth Golub <seth@aigeek.com> - Nov 1999
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *    
 *  You should have received a copy of the GNU General Public License
 *  along with this program (see the file COPYING); if not, write to the
 *  Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
 *  Boston, MA  02111-1307, USA
 *          
 */

void waterfall_about(void);
void waterfall_configure(void);
void make_fg_colors(void);
void write_config(void);

#ifdef FEWBANDS
#define NUM_BANDS 20
#else
#define NUM_BANDS 75
#endif

#define LINEAR_GRADIENT 1
#define SQRT_GRADIENT   2

#define HUE_CONSTANT  0
#define HUE_INTENSITY 1
#define HUE_STEREO    2
#define HUE_ONSET     3
#define HUE_ENTROPY   4

#define LAYOUT_MONO               0
#define LAYOUT_MONO_TEXT          "Mono"
#define LAYOUT_MIRRORED_MONO      1
#define LAYOUT_MIRRORED_MONO_TEXT "Mirrored Mono"
#define LAYOUT_STEREO             2
#define LAYOUT_STEREO_TEXT        "Stereo"

#define ORIENT_BOTTOM 0
#define ORIENT_TOP    1

typedef struct
{
  gint gradient;
  gint hue_mode;
  gint layout;
  gint line_thickness;
  gboolean scrolling;
  gboolean persistent_position;
  gint width, height, x, y;
  gint orientation;
  gint freq_smooth_width; /* <=1 means no smoothing */
  gint time_smooth_weight; /* %of result that comes from prev result */

  /* Not really configuration, but window-specific: */
  gint (*prev_bands_left)[], (*prev_bands_right)[];  /* data history */
  gint (*prev_hue_left)[],   (*prev_hue_right)[];    /* hue history */
} waterfall_config;

extern waterfall_config wconf;
